lzma_options_easy Struct Reference

## Data Fields

lzma_filter | filters [LZMA_FILTERS_MAX+1]
lzma_options_lzma | opt_lzma
| Options for LZMA2. More...

## Field Documentation

## filters

lzma_filter lzma_options_easy::filters[LZMA_FILTERS_MAX+1]

We need to keep the filters array available in case LZMA_FULL_FLUSH is used.

Referenced by get_options(), lzma_easy_encoder(), and lzma_easy_preset().

## opt_lzma

lzma_options_lzma lzma_options_easy::opt_lzma

Options for LZMA2.

Referenced by lzma_easy_preset().

The documentation for this struct was generated from the following file:

- liblzma/common/easy_preset.h